using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class ModelDetail
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}

		/// <summary>
		/// Model
		/// </summary>
		public virtual Model Model
		{
			get;
			set;
		}

		/// <summary>
		/// 状态
		/// </summary>
		public virtual string ModelStatus
		{
			get;
			set;
		}
		/// <summary>
		/// 开关
		/// </summary>
		public virtual byte OnOff
		{
			get;
			set;
		}
		/// <summary>
		/// 类型：手动0，自动1
		/// </summary>
		public virtual ModelType ModelType
		{
			get;
			set;
		}
		/// <summary>
		/// 速度：停止0，低速1，中速2，高速3
		/// </summary>
		public virtual SpeedType? Speed
		{
			get;
			set;
		}
		/// <summary>
		/// 夏季温度
		/// </summary>
		public virtual int? SummerTemp
		{
			get;
			set;
		}
		/// <summary>
		/// 冬季温度
		/// </summary>
		public virtual int? WinterTemp
		{
			get;
			set;
		}
		/// <summary>
		/// 定时控制
		/// </summary>
		public virtual bool TimingControl
		{
			get;
			set;
		}
		/// <summary>
		/// 定时时长（分钟/每小时）
		/// </summary>
		public virtual int? Timer
		{
			get;
			set;
		}
		/// <summary>
		/// 允许用电
		/// </summary>
		public virtual bool AllowElectric
		{
			get;
			set;
		}

	}
}
